
#include "../usgard.h"
#include "../p85xvars.h"

.org 0
.db "PXM"
EnterString:
.db "Enter Atomic Number:",0

Clear:
 ld hl,$0202
 ld ($8333),hl
 ld hl,&EnterString
 call D_ZM_STR
 ld hl,($8333)
 push hl
 ld a,$20
 ld b,12
ClearLoop:
 ld c,a
 call M_CHARPUT
 ld a,c
 djnz ClearLoop
 pop hl
 ld ($8333),hl
 xor a
 ld (TEXT_MEM2),a
KeyLoop:
 halt
 call GET_KEY
 cp K_CLEAR
 jr z,Clear
 cp K_EXIT
 ret z
 cp K_ENTER
 jr z,Enter
 ld hl,&NumKeys+9
 ld bc,10
 cpdr
 jr nz,KeyLoop
 ld a,c
 or a
 ld a,(TEXT_MEM2)
 jr nz,NotZero
 or a
 jr z,KeyLoop
NotZero:
 add a,a
 ld b,a
 add a,a
 add a,a
 add a,b
 add a,c
 ld (TEXT_MEM2),a
 ld b,a
 ld a,c
 add a,$30		;ascii '0'
 call M_CHARPUT
 ld a,b
 cp 113
 jr nc,Clear
 cp 12
 jr c,KeyLoop
Merge:
 ld (CurElNum),a
 ret
Enter:
 ld a,(TEXT_MEM2)
 or a
 jr z,KeyLoop
 jr Merge


NumKeys:
;ScanCodes of #s 0-9 in order
.db $21,$22,$1A,$12,$23,$1B,$13,$24,$1C,$14

.end
