
.org 0
#include "usgard.h"

#include "menuvars.h"

#include "formvars.h"

.db "Menu Tester",0

 call &MenuInstall
 ret c
 ld hl,&Strings
 ld de,GRAPH_MEM
 ld bc,StringsEnd - Strings
 ldir
 ld a,%00001111
 ld (MENU_FLAG),a
 ld hl,$0101
 ld (MENU_Y),hl
 ld hl,5*$100 + 64
 ld (MENU_WIDTH),hl
 ld a,20
 ld (MENU_LENGTH),a
 ld hl,$0101
 ld (MENU_ABSCUR),hl
 ld hl,GRAPH_MEM
 ld (MENU_TITLE),hl

 MENU_CALL(MENU_INIT)
 MENU_CALL(MENU_WAIT)
 jr Done

 MENU_CALL(MENU_RESET)
 MENU_CALL(MENU_XORCUR)
WaitKey:
 halt
 call GET_KEY
 or a
 jr z,WaitKey
 cp $01
 jr z,GoDown
 cp $04
 jr z,GoUp
 cp $36
 jr z,Done
 cp $09
 jr z,Done
 cp $37
 jr nz,WaitKey
Done:
 call &MenuRemove
 ret

GoUp:
 MENU_CALL(MENU_UP)
 MENU_CALL(MENU_XORCUR)
 jr WaitKey
GoDown:
 MENU_CALL(MENU_DOWN)
 MENU_CALL(MENU_XORCUR)
 jr WaitKey


Strings:
.db "HERE IS THE TITLE!",0
.db CENTER,"Centered",0
.db RIGHTJ,"Right Just.",0
.db "With",TAB,"Tab",0
.db RIGHTJ,"With",TAB,"Tab",0
.db "With",TABX,8,"Tab X",0
.db "6th",0
.db "7th",0
.db "8.",TAB,"Eight",0
.db "9.",TAB,"Nine",0
.db "10.",TAB,"Ten",0
.db "11",TABX,8,"eLeven",0
.db RIGHTJ,"Wow! Lots!",0
.db CENTER,"13",0
.db "And 14",0
.db "And 15",0
.db "etc.,",0
.db "etc.,",0
.db "etc.,",0
.db "Almost done...",0
.db "LAST ONE!!!",0
StringsEnd:

MenuInstall:
 ld hl,&MenuName
 push hl
 call VAR_GET
 pop hl
 ret c
 call RELOC
 call &CallHL
 ret nc
MenuRemove:
 MENU_CALL(MENU_REMOVE)
 ld hl,&MenuName
 call DERELOC
 scf
 ret
CallHL:
 jp (hl)


MenuName:
.db "menulib",0


.end
