CheckBounds:
 ld hl,MENU_Y
 call &LD_BCDE_HL
;B = (MENU_Y)
;C = (MENU_X)
;D = (MENU_WIDTH)
;E = (MENU_HEIGHT)
 ld h,(hl)			;H = (MENU_LENGTH)

 ld a,(MENU_FLAG)
 and $01
 ld l,a		;L = 1 if title; L = 0 if no title

;// place (MENU_HEIGHT) within correct range:
;if (MENU_HEIGHT) < 3
;{
;	(MENU_HEIGHT) = 3
;	if (MENU_LENGTH) < 3
;	{
;		(MENU_HEIGHT) = (MENU_LENGTH)
;	}
;}
 ld a,e			;E = (MENU_HEIGHT)
 cp 3
 jr nc,CB_HGE3
 	ld e,3		;E = (MENU_HEIGHT)
 	ld a,h		;H = (MENU_LENGTH)
 	cp e
 	jr nc,CB_LGE3
 		ld e,h	;E = (MENU_HEIGHT) = H = (MENU_LENGTH)
CB_LGE3:
CB_HGE3:
;if (MENU_LENGTH) < (MENU_HEIGHT)
;{
;	(MENU_HEIGHT) = (MENU_LENGTH)
;}
 ld a,h			;H = (MENU_LENGTH)
 cp e				;E = (MENU_HEIGHT)
 jr nc,CB_LGEH
 	ld e,h		;E = (MENU_HEIGHT) = H = (MENU_LENGTH)
CB_LGEH:

 ld a,58
 bit 0,l
 jr z,$+4
 ld a,52
.db $DD\ ld h,a		;IXh = 58 - 6*B
;// adjust (MENU_Y) and (MENU_HEIGHT) as necessary to fit menu in screen
;if 58 - 6*L < (MENU_Y)
;{
;	(MENU_Y) = 58 - 6*L
;}
 cp b				;B = (MENU_Y)
 jr nc,CB_58GEY
 	ld b,a		;B= (MENU_Y)
CB_58GEY:
;if 64 - 6*[(MENU_HEIGHT) + L] < (MENU_Y)
;{
;	if 3 < (MENU_HEIGHT)
;	{
;		Temp = int [(58 - 6*L) - (MENU_Y)]/6
;		if Temp < 3
;		{
;			(MENU_Y) = 46 - 6*L
;			Temp = 3
;		}
;		(MENU_HEIGHT) = Temp
;	}
 ld a,e			;E = (MENU_HEIGHT)
 add a,l
 add a,a
.db $DD\ ld l,a
 add a,a
.db $DD\ add a,l
 sub 65
 cpl
 cp b				;B = (MENU_Y)
 jr nc,CB_HGEY
 	.db $DD\ ld l,a	;IXl = 64 - 6*[(MENU_HEIGHT) + L]
 	ld a,3
 	cp e			;E = (MENU_HEIGHT)
 	jr nc,CB_3GEH
 		.db $DD\ ld a,h	;IXh = 58 - 6*L
 		sub b		;B = (MENU_Y)
 		push hl
 		ld l,a
 		ld h,0
 		ld a,6
 		call DIV_HL_A
 		ld a,l
 		pop hl
 		cp 3
 		jr nc,CB_HGE3_2
 			.db $DD\ ld a,h	;IXh = 58 - 6*L
 			sub 6*2
 			ld b,a	;B = (MENU_Y)
 			ld a,3
CB_HGE3_2:
 		ld e,a	;E = (MENU_HEIGHT)
 		jr CB_HGEY
;	else
;	{
;		(MENU_Y) = 64 - 6*[(MENU_HEIGHT) + L]
;	}
;}
CB_3GEH:
 		.db $DD\ ld b,l	;IXl = 64 - 6*[(MENU_HEIGHT) + L]
CB_HGEY:

;// put (MENU_X) in correct range
;if 128 - (MENU_WIDTH) < (MENU_X)
;{
;	(MENU_X) = 128 - (MENU_WIDTH)
;}
 ld a,128
 sub d			;D = (MENU_WIDTH)
 cp c				;C = (MENU_X)
 jr nc,CB_WGEX
 	ld c,a		;C = (MENU_X)
CB_WGEX:
 ld hl,MENU_Y
 call &LD_HL_BCDE
 ret

CheckCur:
 ld hl,MENU_HEIGHT
 call &LD_BCDE_HL
;B = (MENU_HEIGHT)
;C = (MENU_LENGTH)
;D = (MENU_ABSCUR)
;E = (MENU_RELCUR)

;// put (MENU_ABSCUR) and (MENU_RELCUR) within correct ranges
;if (MENU_ABSCUR) = 0
;{
;	(MENU_ABSCUR) = 1
;}
 inc d			;D = (MENU_ABSCUR)
 dec d
 jr nz,CC_AN0
 	inc d			;D = (MENU_ABSCUR)
CC_AN0:
;if (MENU_LENGTH) < (MENU_ABSCUR)
;{
;	(MENU_ABSCUR) = (MENU_LENGTH)
;}
 ld a,c			;C = (MENU_LENGTH)
 cp d				;D = (MENU_ABSCUR)
 jr nc,CC_LGEA
 	ld d,c		;D = (MENU_ABSCUR) = C = (MENU_LENGTH)
CC_LGEA:
;if (MENU_RELCUR) = 0
;{
;	(MENU_RELCUR) = 1
;}
 inc e			;E = (MENU_RELCUR)
 dec e
 jr nz,CC_RN0
 	inc e			;E = (MENU_RELCUR)
CC_RN0:
;if (MENU_HEIGHT) < (MENU_RELCUR)
;{
;	(MENU_RELCUR) = (MENU_HEIGHT)
;}
 ld a,b			;B = (MENU_HEIGHT)
 cp e				;E = (MENU_RELCUR)
 jr nc,CC_HGER
 	ld e,b		;E = (MENU_RELCUR) = B = (MENU_HEIGHT)
CC_HGER:
;if (MENU_ABSCUR) < (MENU_RELCUR)
;{
;	(MENU_RELCUR) = (MENU_ABSCUR)
;}
 ld a,d			;D = (MENU_ABSCUR)
 cp e				;E = (MENU_RELCUR)
 jr nc,CC_AGER
 	ld e,d		;E = (MENU_RELCUR) = D = (MENU_ABSCUR)
CC_AGER:

;// make sure the (MENU_ABSCUR) and (MENU_RELCUR) combination is legal
;if (MENU_LENGTH) - (MENU_HEIGHT) + (MENU_RELCUR) < (MENU_ABSCUR)
;{
;	(MENU_RELCUR) = (MENU_HEIGHT) - (MENU_LENGTH) + (MENU_ABSCUR)
;}
 ld a,c			;C = (MENU_LENGTH)
 sub b			;B = (MENU_HEIGHT)
 add a,e			;E = (MENU_RELCUR)
 cp d				;D = (MENU_ABSCUR)
 jr nc,CC_LHRGEA
 	ld a,b		;B = (MENU_HEIGHT)
 	sub c			;C = (MENU_LENGTH)
 	add a,d		;D = (MENU_ABSCUR)
 	ld e,a		;E = (MENU_RELCUR)
CC_LHRGEA:

;// check to make sure (MENU_RELCUR) isn't on an arrow (if scrollable)
;if (MENU_HEIGHT) < (MENU_LENGTH)
;{
;	if (MENU_HEIGHT) = (MENU_RELCUR)
;	{
;		if (MENU_ABSCUR) < (MENU_LENGTH)
;		{
;			(MENU_RELCUR) = (MENU_RELCUR) - 1
;		}
;	}
 ld a,b			;B = (MENU_HEIGHT)
 cp c				;C = (MENU_LENGTH)
 jr nc,CC_HGEL
 	cp e			;E = (MENU_RELCUR)
 	jr nz,CC_HNER
 		ld a,d	;D = (MENU_ABSCUR)
 		cp c		;C = (MENU_LENGTH)
 		jr nc,CC_AGEL
 			dec e	;E = (MENU_RELCUR)
CC_AGEL:
CC_HNER:
;	if (MENU_RELCUR) = 1
;	{
;		if (MENU_RELCUR) != (MENU_ABSCUR)
;		{
;			(MENU_RELCUR) = 2
;		{
;	}
;}
 	ld a,e		;E = (MENU_RELCUR)
 	dec a
 	jr nz,CC_RNE1
 		inc a
 		cp d		;D = (MENU_ABSCUR)
 		jr nc,CC_REQA
 		inc e		;E = (MENU_RELCUR)
CC_REQA:
CC_RNE1:
CC_HGEL:

;// set scrolling flags if needed:
;if (MENU_ABSCUR) - (MENU_RELCUR) + (MENU_HEIGHT) < (MENU_LENGTH)
;{
;	set IXDown,(ix+$00)	// can go down menu
;}
 ld hl,MENU_FLAG
 ld a,(hl)
 and $3F
 ld (hl),a

 ld a,d			;D = (MENU_ABSCUR)
 sub e			;E = (MENU_RELCUR)
 add a,b			;B = (MENU_HEIGHT)
 cp c				;C = (MENU_LENGTH)
 jr nc,CC_HLAGER
 	set IXDown,(hl)
CC_HLAGER:
;if (MENU_RELCUR) < (MENU_ABSCUR)
;{
;	set IXUp,(ix+$00)	// can go up menu
;}
 ld a,e			;E = (MENU_RELCUR)
 cp d				;D = (MENU_ABSCUR)
 jr nc,CC_RGEA
 	set IXUp,(hl)
CC_RGEA:
 ld hl,MENU_HEIGHT


LD_HL_BCDE:
 ld (hl),b\ inc hl
 ld (hl),c\ inc hl
 ld (hl),d\ inc hl
 ld (hl),e\ inc hl
 ret

LD_BCDE_HL:
 ld b,(hl)\ inc hl
 ld c,(hl)\ inc hl
 ld d,(hl)\ inc hl
 ld e,(hl)\ inc hl
 ret
