
#include "../usgard.h"

.org 0
.db "PXC",$00

;Format of strings:
;.db <length of entire data, including this byte>
;<string, minus nul-termination>

;Input:
;	A = atomic number of element to get
;	DE -> where to put converted string
;	HL -> data string (after type bytes and title)
;Output:
;	converted string loaded to DE
;	DE -> byte after end of string (not nul-terminated)
EvalString:
 ld b,a
 dec b
 jr z,GotInfo
GetInfo:
 ld a,(hl)	;7
 add a,l	;4
 ld l,a	;4
 jr nc,$+3	;12/7
 inc h	;4
 djnz GetInfo	;13

GotInfo:		;HL -> data of element
 ld c,(hl)\ inc hl
 dec c
 ret z
 ldir
 ret


.end
